io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.UnsubscribeBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.UnsubscribeBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.UnsubscribeBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttMessageBuilders.UnsubscribeBuilder` `addTopicFilter(String topic)`
`MqttUnsubscribeMessage` `build()`
`MqttMessageBuilders.UnsubscribeBuilder` `messageId(int messageId)`
`MqttMessageBuilders.UnsubscribeBuilder` `properties(MqttProperties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addTopicFilter

    public MqttMessageBuilders.UnsubscribeBuilder addTopicFilter(String topic)

#### messageId

    public MqttMessageBuilders.UnsubscribeBuilder messageId(int messageId)

#### properties

    public MqttMessageBuilders.UnsubscribeBuilder properties(MqttProperties properties)

#### build

    public MqttUnsubscribeMessage build()